<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'recommendation',

    /*
     * Modules.
     */
    'modules'   => ['recommendation'],

    
    'recommendation'       => [
        'model' => [
            'model'                 => \Litecms\Recommendation\Models\Recommendation::class,
            'table'                 => 'recommendations',
            'presenter'             => \Litecms\Recommendation\Repositories\Presenter\RecommendationPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['client_id',  'recommendation_client_id',  'type',  'status',  'adress',  'e-mail',  'phone',  'comment'],
            'translatables'         => [],
            'upload_folder'         => 'recommendation/recommendation',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Recommendation',
            'module'    => 'Recommendation',
        ],

    ],
];
