<?php

namespace Litecms\Recommendation;

use User;

class Recommendation
{
    /**
     * $recommendation object.
     */
    protected $recommendation;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Recommendation\Interfaces\RecommendationRepositoryInterface $recommendation)
    {
        $this->recommendation = $recommendation;
    }

    /**
     * Returns count of recommendation.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.recommendation.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->recommendation->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\RecommendationUserCriteria());
        }

        $recommendation = $this->recommendation->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('recommendation::' . $view, compact('recommendation'))->render();
    }
}
