<?php

namespace Litecms\Recommendation\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RecommendationTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Recommendation\Models\Recommendation $recommendation)
    {
        return [
            'id'                => $recommendation->getRouteKey(),
            'key'               => [
                'public'    => $recommendation->getPublicKey(),
                'route'     => $recommendation->getRouteKey(),
            ], 
            'client_id'         => $recommendation->client_id,
            'recommendation_client_id' => $recommendation->recommendation_client_id,
            'type'              => $recommendation->type,
            'status'            => $recommendation->status,
            'adress'            => $recommendation->adress,
            'e-mail'            => $recommendation->e-mail,
            'phone'             => $recommendation->phone,
            'comment'           => $recommendation->comment,
            'url'               => [
                'public'    => trans_url('recommendation/'.$recommendation->getPublicKey()),
                'user'      => guard_url('recommendation/recommendation/'.$recommendation->getRouteKey()),
            ], 
            'status'            => trans('app.'.$recommendation->status),
            'created_at'        => format_date($recommendation->created_at),
            'updated_at'        => format_date($recommendation->updated_at),
        ];
    }
}